lier les liens ed2k avec firefox

Deux petites lignes pour ceux qui voudraient ouvrir les liens edk (lien pour amule, la version libre d’emule) en un seul clic de souris depuis le navigateur libre Firefox.

  • taper dans la barre d’adresse de Firefox; about:config
  • clic droit->nouvelle->valeur booléenne et entrez network.protocol-handler.external.ed2k -> true
  • clic droit ->nouvelle->chaine de caractères et entrez network.protocol-handler.app.ed2k -> /usr/bin/ed2k (le nom de l’exécutable peut varier mais comportera au moins « ed2k »

Depuis Ubunu Edgy Eft 6.10, edk.amule ne se trouve plus dans /usr/bin.
Pour le retrouver, il faut installer le paquet amule-utils via synaptics ou tout simplement en tapant la commande:
apt://amule-utils
Vous pouvez de nouveau retrouver /usr/bin/ed2k !

Si vous êtes sous Lucid Lynx, il existe un paquet dans les dépots nommé apt://amule-gnome-support qui évite de faire ce paramétrage ;-)

/// Edit 25/09/2011 /// Cela fait quelques mois que ces astuces ne fonctionnent plus… Si quelqu’un trouve une solution; merci a lui de laisser un commentaire.

Pfff

Pfff

Né en 1976, j'ai découvert le web par un modem RTC et des factures astronomique vers 20 ans... depuis le doigt, la main le bras et le corps entier ou presque y est passé! Mon aventure linuxienne debute vers 2003 ou je teste une Mandrake (ancien nom des Mandriva), puis pour des raisons de compatibilité matérielle, je passe sous Fedora. J'adopterais définitivement (enfin jusqu'à aujourd'hui au moins) Ubuntu en 2005 avec la 5.10 Breezy Badger. En tant que Linuxien et passionné de logiciel libre, je créé en 2006 Webynux.net.

More Posts - Website

Follow Me:
TwitterFacebookGoogle Plus

7 réponses sur “lier les liens ed2k avec firefox”

  1. Hello,
    Je possède une Debian GNU/Linux, un amule 2.2.6 tout fraîchement installé, j’ai bien /usr/bin/ed2k mais j’obtiens toujours le message comme quoi Iceweasel 3.5.9 (Firefox sous Debian) :
    « Firefox ne sait pas ouvrir cette adresse car le protocole (ed2k) n’est associé à aucun programme. »

    Une idée ?
    Merci.
    @+
    PoL

  2. Hello,

    Bon en faite avec un peu plus de recherche j’ai trouvé…
    Pour ceux qui aurait le même probleme mettez uniquement :
    ed2k et non /usr/bin/ed2k.

    @++
    PoL

  3. Bonjour,

    J’utilise Xp et firefox classic. Et je n’arrive pas à résoudre ce problème de protocole ed2k. Mon fils a tout essayé comme pré-cités et rien ne fonctionne je vous demande donc un peu d’aide?! Merci infiniment si vous pouviez aider une mamie?!

    PS : 🙂 le fils qui vous parle.

    1. Bonjour

      je parle ici du réglage avec amule sous Linux et non emule sous Windows. Je ne connais ni emule, ni XP… peut pas vous aider…

Les commentaires sont fermés.